Name: liblayout
Version: 0.2.10
%define subrel 1
Release: %mkrel 12
Summary: CSS based layouting framework
License: LGPLv2+
Group:  System/Libraries 
Source: http://downloads.sourceforge.net/jfreereport/liblayout-%{version}.zip
Patch0:        liblayout-0.2.10-remove-commons-logging.patch
URL: http://reporting.pentaho.org/
BuildRequires: ant, java-devel >= 0:1.6.0 , jpackage-utils, flute, libloader, xml-commons-apis
BuildRequires: librepository
BuildRequires: pentaho-libxml
BuildRequires: libfonts
BuildRequires: sac
BuildRequires: libbase >= 1.1.3
Requires: java >= 0:1.6.0 , jpackage-utils, flute, libloader >= 1.1.3
Requires: librepository >= 1.1.3, libfonts >= 1.1.3, sac, xml-commons-apis
Requires: pentaho-libxml, libbase >= 1.0.0
BuildArch: noarch

%description
LibLayout is a layouting framework. It is based on the Cascading StyleSheets
standard. The layouting expects to receive its content as a DOM structure
(although it does not rely on the W3C-DOM API).


%package javadoc
Summary: Javadoc for %{name}
Group:    Documentation 
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch0 -p1 -b .no_commons_logging
find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib flute libloader librepository libxml libfonts \
    sac jaxp libbase

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p %{buildroot}%{_javadir}
cp -p build/lib/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp build/api %{buildroot}%{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}


%changelog
* Mon May 02 2022 neoclust <neoclust> 0.2.10-12.1.mga8
+ Revision: 1855469
- Replace apache-commons-logging with java.util.logging (mga#29556)

* Wed Feb 12 2020 umeabot <umeabot> 0.2.10-12.mga8
+ Revision: 1491299
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.2.10-11.mga7
+ Revision: 1263039
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.2.10-10.mga6
+ Revision: 950485
- Mageia 6 Mass Rebuild

* Wed Nov 05 2014 tv <tv> 0.2.10-9.mga5
+ Revision: 795713
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.10-8.mga5
+ Revision: 741502
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.10-7.mga5
+ Revision: 681572
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.10-6.mga4
+ Revision: 507130
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.10-5.mga3
+ Revision: 357643
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 0.2.10-4.mga3
+ Revision: 305445
- Documentation group

* Sat Jan 21 2012 kamil <kamil> 0.2.10-3.mga2
+ Revision: 198986
- rebuild against new libloader-1.1.6, new pentaho-libxml-1.1.6, new libfonts-1.1.6 and new libbase-1.1.6
- clean .spec

* Fri Mar 18 2011 dmorgan <dmorgan> 0.2.10-2.mga1
+ Revision: 74327
- Really build without gcj

* Wed Jan 26 2011 dmorgan <dmorgan> 0.2.10-1.mga1
+ Revision: 40220
- Adapt for mageia
- imported package liblayout


* Thu Dec 03 2009 Caolan McNamara <caolanm@redhat.com> 0.2.10-1
- latest version

* Fri Jul 24 2009 Caolan McNamara <caolanm@redhat.com> 0.2.9-4.OOo31
- make javadoc no-arch when building as arch-dependant aot

* Mon Mar 16 2009 Caolan McNamara <caolanm@redhat.com> 0.2.9-3.OOo31
- Post-release tuned for OpenOffice.org

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 07 2008 Caolan McNamara <caolanm@redhat.com> 0.2.9-1
- initial fedora import
